package net.northking.cctp.testbug.dto.bug;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(description = "缺陷管理列表数据")
public class BugManagementDto {
    /**
     * "projectNo": "T3028",
     * "projectName ": "技术测试组体验项目",
     * "defectNo": "T3028_0050",
     * "defectName": "1231d",
     * "creator": "朱恩厚",
     * "assignTo": "朱超群",
     * "defectStatus": 1,
     * "createDate": "2023-08-23 09:34:39",
     * "closeDate": "2023-08-23 09:34:39"
     */

    private String projectNo;

    private String projectName;

    @ApiModelProperty(value = "缺陷编号")
    private String defectNo;

    @ApiModelProperty(value = "缺陷名称")
    private String defectName;

    private String creator;
    @ApiModelProperty(value = "分配给")
    private String assignTo;
    @ApiModelProperty(value = "缺陷状态")
    private String defectStatus;


    @ApiModelProperty("提交日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createDate;

    @ApiModelProperty("关闭日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String closeDate;

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDefectNo() {
        return defectNo;
    }

    public void setDefectNo(String defectNo) {
        this.defectNo = defectNo;
    }

    public String getDefectName() {
        return defectName;
    }

    public void setDefectName(String defectName) {
        this.defectName = defectName;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getAssignTo() {
        return assignTo;
    }

    public void setAssignTo(String assignTo) {
        this.assignTo = assignTo;
    }

    public String getDefectStatus() {
        return defectStatus;
    }

    public void setDefectStatus(String defectStatus) {
        this.defectStatus = defectStatus;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getCloseDate() {
        return closeDate;
    }

    public void setCloseDate(String closeDate) {
        this.closeDate = closeDate;
    }
}
